<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.core.SystemProperty" table="system_property" catalog="crov_spa" >
        <id name="id" type="string">
            <column name="id" length="36" />
            <generator class="assigned"></generator>
        </id>
        <property name="propertyName" column="property_name" not-null="true">
            <type name="org.hibernate.type.EnumType">
                <param name="enumClass">com.arrebol.taxiservicios.model.enums.SystemPropertyType</param>
                <param name="useNamed">true</param>
            </type>
        </property>
        <property name="propertyValue" type="string">
            <column length="250" name="property_value" not-null="true"/>
        </property>     
        <property name="createdBy" type="string">
            <column name="created_by" length="36" not-null="true"/>
        </property>
        <property name="createdOn" type="date">
            <column name="created_on" length="10" />
        </property>
        <property name="lastUpdatedBy" type="string">
            <column name="last_updated_by" length="36" />
        </property>
        <property name="lastUpdatedOn" type="date">
            <column name="last_updated_on" length="10" />
        </property>
    </class>
</hibernate-mapping>
